KJOURNALPRINT(1)

NAME
kjournalprint - Knot DNS journal print utility

SYNOPSIS

kjournalprint [options] journal_db zone_name

DESCRIPTION

The program prints zone history stored in a journal database. As default, changes are colored for terminal.

  Options

-l, --limit limit
    Limits the number of displayed changes.

-d, --debug
    Debug mode brief output.

-n, --no-color
    Removes changes coloring.

-z, --zone-list
    Instead of reading jurnal, display the list of zones in the DB. (zone_name not needed)

-h, --help
    Print the program help.

-V, --version
    Print the program version.

  Parameters

journal_db
    A path to the journal database.

zone_name
    A name of the zone to print the history for.

EXAMPLES

Last (most recent) 5 changes without colors:

$ kjournalprint -nl 5 /var/lib/knot/journal example.com.

SEE ALSO

knotd(8), knot.conf(5).

AUTHOR
CZ.NIC Labs <http://www.knot-dns.cz>

COPYRIGHT
Copyright 2010–2018, CZ.NIC, z.s.p.o.